/*
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 */

package swing.addon.plaf.threeD;

import java.awt.*;
import javax.swing.*;
import javax.swing.plaf.*;
import javax.swing.plaf.basic.*;

public class ThreeD_DesktopIconUI extends BasicDesktopIconUI {
	Icon icon = UIManager.getIcon("DesktopIcon.icon");
	
	public static ComponentUI createUI(JComponent c)  {
		return new ThreeD_DesktopIconUI();
	}

	public java.awt.Dimension getMaximumSize(javax.swing.JComponent arg0)  {
		return getPreferredSize(arg0);
	}

	public java.awt.Dimension getMinimumSize(javax.swing.JComponent arg0)  {
		return getPreferredSize(arg0);
	}

	public java.awt.Dimension getPreferredSize(javax.swing.JComponent arg0)  {
		return new Dimension(2 + icon.getIconWidth() + 2, 2 + icon.getIconHeight() + 2 + ThreeDPrefs.internalFrameTitleFont.getSize() +2);
	}

	protected void installComponents()  {
	}

	public void paint(Graphics g, JComponent comp)  {
		icon.paintIcon(comp, g, 2, 2);
		
		// FensterTitel
		g.setColor(ThreeDPrefs.textColor);
		g.setFont(ThreeDPrefs.internalFrameTitleFont);
		
		String title = ((JInternalFrame.JDesktopIcon)comp).getInternalFrame().getTitle();
		if (title == null) return;
		
		FontMetrics m = comp.getFontMetrics(ThreeDPrefs.internalFrameTitleFont);
		comp.setToolTipText(title);
		
		while (m.stringWidth(title) > icon.getIconWidth()) title = title.substring(0, title.length()-1);
		g.drawString(title, 2, 2 + icon.getIconHeight() + 2 + m.getAscent());
	}

	protected void uninstallComponents()  {
	}

}
