/*
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 */

package swing.addon.plaf.threeD;

import java.awt.*;
import javax.swing.*;
import javax.swing.plaf.*;
import javax.swing.plaf.basic.*;

class ThreeD_SplitPaneDivider extends BasicSplitPaneDivider {
	// Fr die anderen
	private static final int SIZE = 11;
	
	// Und die die zum Zeichnen verwenden
	private static final int POS1 = SIZE/2-1;
	private static final int POS2 = SIZE/2;
	
	public ThreeD_SplitPaneDivider(BasicSplitPaneUI ui)  {
		super(ui);
	}

	static final int _getDividerSize()  {
		return SIZE;
	}

	public int getDividerSize()  {
		return SIZE;
	}

	public void paint(Graphics g)  {
		super.paint(g);
		
		Dimension 	size 	= splitPane.getSize();
		final int 	OFFSET 	= splitPane.isOneTouchExpandable() ? 30 : 0;
		
		if (splitPane.getOrientation() == JSplitPane.VERTICAL_SPLIT)
			{
			// Erste Linie
			g.setColor(ThreeDPrefs.lightEdgeColor);
			g.drawLine(OFFSET, POS1, size.width, POS1);
			// Zweite Linie
			g.setColor(ThreeDPrefs.darkEdgeColor);
			g.drawLine(OFFSET, POS2, size.width, POS2);
			// Knopf
			ThreeDUtils.drawBorder(g, 10+OFFSET, 0, SIZE, SIZE, ThreeDPrefs.lightEdgeColor, ThreeDPrefs.darkEdgeColor);
			g.setColor(splitPane.hasFocus() ? ThreeDPrefs.focusColor : ThreeDPrefs.highlightColor);
			g.fillRect(11+OFFSET, 1, SIZE-2, SIZE-2);
			}
		else // HORIZONTAL
			{
			// Erste Linie
			g.setColor(ThreeDPrefs.lightEdgeColor);
			g.drawLine(POS1, OFFSET, POS1, size.height);
			// Zweite Linie
			g.setColor(ThreeDPrefs.darkEdgeColor);
			g.drawLine(POS2, OFFSET, POS2, size.height);
			// Knopf
			ThreeDUtils.drawBorder(g, 0, 10+OFFSET, SIZE, SIZE, ThreeDPrefs.lightEdgeColor, ThreeDPrefs.darkEdgeColor);
			g.setColor(splitPane.hasFocus() ? ThreeDPrefs.focusColor : ThreeDPrefs.highlightColor);
			g.fillRect(1, 11+OFFSET, SIZE-2, SIZE-2);
			}
	}

}
